]> git.saurik.com Git - wxWidgets.git/blobdiff - configure
Set/Reset ThemeEnabled when changing the fore/background colours.
[wxWidgets.git] / configure
index 29de7a8ed8bb342ef7c1b2ba8bd55f530e083c23..1a6f6c55e6791f755b13881dc51fd03cf6b5dd53 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,9 +1,9 @@
 #! /bin/sh
 # From configure.in Id: configure.in.
 # Guess values for system-dependent variables and create Makefiles.
 #! /bin/sh
 # From configure.in Id: configure.in.
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59 for wxWindows 2.5.1.
+# Generated by GNU Autoconf 2.59 for wxWidgets 2.5.2.
 #
 #
-# Report bugs to <wx-dev@lists.wxwindows.org>.
+# Report bugs to <wx-dev@lists.wxwidgets.org>.
 #
 # Copyright (C) 2003 Free Software Foundation, Inc.
 # This configure script is free software; the Free Software Foundation
 #
 # Copyright (C) 2003 Free Software Foundation, Inc.
 # This configure script is free software; the Free Software Foundation
@@ -268,11 +268,11 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 : ${ac_max_here_lines=38}
 
 # Identity of this package.
 : ${ac_max_here_lines=38}
 
 # Identity of this package.
-PACKAGE_NAME='wxWindows'
-PACKAGE_TARNAME='wxwindows'
-PACKAGE_VERSION='2.5.1'
-PACKAGE_STRING='wxWindows 2.5.1'
-PACKAGE_BUGREPORT='wx-dev@lists.wxwindows.org'
+PACKAGE_NAME='wxWidgets'
+PACKAGE_TARNAME='wxwidgets'
+PACKAGE_VERSION='2.5.2'
+PACKAGE_STRING='wxWidgets 2.5.2'
+PACKAGE_BUGREPORT='wx-dev@lists.wxwidgets.org'
 
 ac_unique_file="wx-config.in"
 # Factoring default headers for most tests.
 
 ac_unique_file="wx-config.in"
 # Factoring default headers for most tests.
@@ -794,7 +794,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures wxWindows 2.5.1 to adapt to many kinds of systems.
+\`configure' configures wxWidgets 2.5.2 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -860,7 +860,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of wxWindows 2.5.1:";;
+     short | recursive ) echo "Configuration of wxWidgets 2.5.2:";;
    esac
   cat <<\_ACEOF
 
    esac
   cat <<\_ACEOF
 
@@ -868,9 +868,9 @@ Optional Features:
   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
   --enable-gui            use GUI classes
   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
   --enable-gui            use GUI classes
-  --enable-monolithic     build wxWindows as single library
-  --enable-plugins        build parts of wxWindows as loadable components
-  --enable-universal      use wxWindows GUI controls instead of native ones
+  --enable-monolithic     build wxWidgets as single library
+  --enable-plugins        build parts of wxWidgets as loadable components
+  --enable-universal      use wxWidgets GUI controls instead of native ones
   --enable-nanox          use NanoX
   --enable-gtk2           use GTK+ 2.0 if available (EXPERIMENTAL)
   --enable-gpe            use GNOME PDA Environment features if possible
   --enable-nanox          use NanoX
   --enable-gtk2           use GTK+ 2.0 if available (EXPERIMENTAL)
   --enable-gpe            use GNOME PDA Environment features if possible
@@ -889,8 +889,8 @@ Optional Features:
   --enable-no_exceptions  create code without C++ exceptions handling
   --enable-permissive     compile code disregarding strict ANSI
   --enable-no_deps        create code without dependency information
   --enable-no_exceptions  create code without C++ exceptions handling
   --enable-permissive     compile code disregarding strict ANSI
   --enable-no_deps        create code without dependency information
-  --enable-compat22       enable wxWindows 2.2 compatibility
-  --disable-compat24      disable wxWindows 2.4 compatibility
+  --enable-compat22       enable wxWidgets 2.2 compatibility
+  --disable-compat24      disable wxWidgets 2.4 compatibility
   --enable-rpath=DIR      output the rpath flag from wx-config
   --enable-intl           use internationalization system
   --enable-config         use wxConfig (and derived) classes
   --enable-rpath=DIR      output the rpath flag from wx-config
   --enable-intl           use internationalization system
   --enable-config         use wxConfig (and derived) classes
@@ -931,7 +931,7 @@ Optional Features:
   --enable-timer          use wxTimer class
   --enable-unicode        compile wxString with Unicode support
   --enable-sound          use wxSound class
   --enable-timer          use wxTimer class
   --enable-unicode        compile wxString with Unicode support
   --enable-sound          use wxSound class
-  --enable-wxprintfv      use wxWindows implementation of vprintf()
+  --enable-wxprintfv      use wxWidgets implementation of vprintf()
   --enable-zipstream      use wxZipInputStream
   --enable-url            use wxURL class
   --enable-protocol       use wxProtocol class
   --enable-zipstream      use wxZipInputStream
   --enable-url            use wxURL class
   --enable-protocol       use wxProtocol class
@@ -1029,7 +1029,7 @@ Optional Features:
   --enable-pnm            use pnm images (PNM file format)
   --enable-xpm            use xpm images (XPM file format)
   --enable-icocur         use Windows ICO and CUR formats
   --enable-pnm            use pnm images (PNM file format)
   --enable-xpm            use xpm images (XPM file format)
   --enable-icocur         use Windows ICO and CUR formats
-  --enable-official_build official build of wxWindows (win32 DLL only)
+  --enable-official_build official build of wxWidgets (win32 DLL only)
   --enable-vendor=VENDOR  vendor name (win32 DLL only)
   --disable-largefile     omit support for large files
   --disable-gtktest       do not try to compile and run a test GTK+ program
   --enable-vendor=VENDOR  vendor name (win32 DLL only)
   --disable-largefile     omit support for large files
   --disable-gtktest       do not try to compile and run a test GTK+ program
@@ -1087,7 +1087,7 @@ Some influential environment variables:
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
 
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
 
-Report bugs to <wx-dev@lists.wxwindows.org>.
+Report bugs to <wx-dev@lists.wxwidgets.org>.
 _ACEOF
 fi
 
 _ACEOF
 fi
 
@@ -1183,7 +1183,7 @@ fi
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\_ACEOF
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\_ACEOF
-wxWindows configure 2.5.1
+wxWidgets configure 2.5.2
 generated by GNU Autoconf 2.59
 
 Copyright (C) 2003 Free Software Foundation, Inc.
 generated by GNU Autoconf 2.59
 
 Copyright (C) 2003 Free Software Foundation, Inc.
@@ -1197,7 +1197,7 @@ cat >&5 <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by wxWindows $as_me 2.5.1, which was
+It was created by wxWidgets $as_me 2.5.2, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   $ $0 $@
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   $ $0 $@
@@ -1648,14 +1648,14 @@ test -n "$target_alias" &&
 
 WX_MAJOR_VERSION_NUMBER=2
 WX_MINOR_VERSION_NUMBER=5
 
 WX_MAJOR_VERSION_NUMBER=2
 WX_MINOR_VERSION_NUMBER=5
-WX_RELEASE_NUMBER=1
+WX_RELEASE_NUMBER=2
 
 WX_VERSION=$WX_MAJOR_VERSION_NUMBER.$WX_MINOR_VERSION_NUMBER.$WX_RELEASE_NUMBER
 WX_RELEASE=$WX_MAJOR_VERSION_NUMBER.$WX_MINOR_VERSION_NUMBER
 
 WX_MSW_VERSION=$WX_MAJOR_VERSION_NUMBER$WX_MINOR_VERSION_NUMBER$WX_RELEASE_NUMBER
 
 
 WX_VERSION=$WX_MAJOR_VERSION_NUMBER.$WX_MINOR_VERSION_NUMBER.$WX_RELEASE_NUMBER
 WX_RELEASE=$WX_MAJOR_VERSION_NUMBER.$WX_MINOR_VERSION_NUMBER
 
 WX_MSW_VERSION=$WX_MAJOR_VERSION_NUMBER$WX_MINOR_VERSION_NUMBER$WX_RELEASE_NUMBER
 
-WX_CURRENT=1
+WX_CURRENT=2
 WX_REVISION=0
 WX_AGE=0
 
 WX_REVISION=0
 WX_AGE=0
 
@@ -4098,7 +4098,7 @@ if test "${enable_rpath+set}" = set; then
   wxRPATH_DIR="$enableval"
 fi;
 
   wxRPATH_DIR="$enableval"
 fi;
 
-if test "$wxRPATH_DIR" != "" -a "$wxRPATH_DIR" != "disable"; then
+if test "$wxRPATH_DIR" != "" -a "$wxRPATH_DIR" != "disable" -a "$wxRPATH_DIR" != "no"; then
    WXCONFIG_RPATH="-Wl,-rpath -Wl,$wxRPATH_DIR"
 fi
 
    WXCONFIG_RPATH="-Wl,-rpath -Wl,$wxRPATH_DIR"
 fi
 
@@ -11866,8 +11866,8 @@ echo "${ECHO_T}no" >&6
 fi
 
 if test "x$AR" = "x" ; then
 fi
 
 if test "x$AR" = "x" ; then
-    { { echo "$as_me:$LINENO: error: ar is needed to build wxWindows" >&5
-echo "$as_me: error: ar is needed to build wxWindows" >&2;}
+    { { echo "$as_me:$LINENO: error: ar is needed to build wxWidgets" >&5
+echo "$as_me: error: ar is needed to build wxWidgets" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
    { (exit 1); exit 1; }; }
 fi
 
@@ -12314,7 +12314,7 @@ echo "${ECHO_T}$wx_cv_gccversion" >&6
           fi
       fi
       if test "$wxUSE_OMF" = "yes"; then
           fi
       fi
       if test "$wxUSE_OMF" = "yes"; then
-        LDFLAGS="$LDFLAGS -Zlinker /PMTYPE:PM -Zlinker /EXEPACK"
+        LDFLAGS="$LDFLAGS -Zomf -Zlinker /PMTYPE:PM -Zlinker /EXEPACK"
       fi
         ;;
   *)
       fi
         ;;
   *)
@@ -12842,7 +12842,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -12992,7 +12992,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -13142,7 +13142,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -13292,7 +13292,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -13444,7 +13444,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -13596,7 +13596,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -13852,7 +13852,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -14013,7 +14013,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -18806,7 +18806,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -19540,7 +19540,7 @@ echo "$as_me: WARNING: hash_map: in the future, the compiler will take precedenc
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -19742,7 +19742,7 @@ echo "$as_me: WARNING: ext/hash_map: in the future, the compiler will take prece
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -20173,7 +20173,7 @@ echo "$as_me: WARNING: regex.h: in the future, the compiler will take precedence
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -20507,7 +20507,7 @@ echo "$as_me: WARNING: zlib.h: in the future, the compiler will take precedence"
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -20814,7 +20814,7 @@ echo "$as_me: WARNING: png.h: in the future, the compiler will take precedence"
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -21226,7 +21226,7 @@ echo "$as_me: WARNING: tiffio.h: in the future, the compiler will take precedenc
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -21468,7 +21468,7 @@ echo "$as_me: WARNING: expat.h: in the future, the compiler will take precedence
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -21779,7 +21779,7 @@ echo "$as_me: WARNING: mspack.h: in the future, the compiler will take precedenc
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -22015,7 +22015,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -22161,7 +22161,7 @@ echo "$as_me: WARNING: windows.h: in the future, the compiler will take preceden
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -23345,6 +23345,115 @@ echo "$as_me: WARNING: pangoft2 library not found, library will be compiled with
   fi
 
             fi
   fi
 
             fi
+
+            save_CFLAGS="$CFLAGS"
+            save_LIBS="$LIBS"
+            CFLAGS="$CFLAGS $GTK_CFLAGS"
+            LIBS="$LIBS $GTK_LIBS"
+
+for ac_func in pango_font_family_is_monospace
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
+if eval "test \"\${$as_ac_var+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+choke me
+#else
+char (*f) () = $ac_func;
+#endif
+#ifdef __cplusplus
+}
+#endif
+
+int
+main ()
+{
+return f != $ac_func;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_var=no"
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+            CFLAGS="$save_CFLAGS"
+            LIBS="$save_LIBS"
         else
             if test "$wxUSE_UNICODE" = "yes"; then
                 { echo "$as_me:$LINENO: WARNING: Unicode configuration not supported with GTK+ 1.x" >&5
         else
             if test "$wxUSE_UNICODE" = "yes"; then
                 { echo "$as_me:$LINENO: WARNING: Unicode configuration not supported with GTK+ 1.x" >&5
@@ -25417,6 +25526,114 @@ echo "$as_me: WARNING: pangoxft library not found, library will be compiled with
 
   fi
 
 
   fi
 
+                save_CFLAGS="$CFLAGS"
+                save_LIBS="$LIBS"
+                CFLAGS="$CFLAGS $PANGOX_CFLAGS"
+                LIBS="$LIBS $PANGOX_LIBS"
+
+for ac_func in pango_font_family_is_monospace
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
+if eval "test \"\${$as_ac_var+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+choke me
+#else
+char (*f) () = $ac_func;
+#endif
+#ifdef __cplusplus
+}
+#endif
+
+int
+main ()
+{
+return f != $ac_func;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_var=no"
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+                CFLAGS="$save_CFLAGS"
+                LIBS="$save_LIBS"
         fi
 
         wxUSE_UNIVERSAL="yes"
         fi
 
         wxUSE_UNIVERSAL="yes"
@@ -27250,7 +27467,76 @@ echo "${ECHO_T}none" >&6
 
     if test "$wxUSE_PM" = 1; then
         TOOLKIT=PM
 
     if test "$wxUSE_PM" = 1; then
         TOOLKIT=PM
-        GUIDIST=GTK_DIST
+        GUIDIST=PM_DIST
+        echo "$as_me:$LINENO: checking for type SPBCDATA" >&5
+echo $ECHO_N "checking for type SPBCDATA... $ECHO_C" >&6
+if test "${wx_cv_spbcdata+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+                cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+                        #define INCL_PM
+                        #include <os2.h>
+
+int
+main ()
+{
+
+                        SPBCDATA test;
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  wx_cv_spbcdata=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+wx_cv_spbcdata=no
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+
+fi
+echo "$as_me:$LINENO: result: $wx_cv_spbcdata" >&5
+echo "${ECHO_T}$wx_cv_spbcdata" >&6
+
+        if test $wx_cv_spbcdata = "yes"; then
+            cat >>confdefs.h <<\_ACEOF
+#define HAVE_SPBCDATA 1
+_ACEOF
+
+        fi
     fi
 
         if test "$TOOLKIT" = "PM" ; then
     fi
 
         if test "$TOOLKIT" = "PM" ; then
@@ -27456,7 +27742,7 @@ echo "$as_me: WARNING: sql.h: in the future, the compiler will take precedence"
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -27731,7 +28017,7 @@ fi
 
 
 if test "$wxUSE_DISPLAY" = "yes"; then
 
 
 if test "$wxUSE_DISPLAY" = "yes"; then
-    if test "$wxUSE_UNIX" = "yes" -a "$wxUSE_MAC" != 1; then
+    if test "$wxUSE_UNIX" = "yes" -a "$wxUSE_MAC" != 1 -a "$wxUSE_COCOA" != 1; then
         echo "$as_me:$LINENO: checking for Xinerama" >&5
 echo $ECHO_N "checking for Xinerama... $ECHO_C" >&6
 
         echo "$as_me:$LINENO: checking for Xinerama" >&5
 echo $ECHO_N "checking for Xinerama... $ECHO_C" >&6
 
@@ -27984,7 +28270,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -28177,7 +28463,7 @@ echo "$as_me: WARNING: GL/gl.h: in the future, the compiler will take precedence
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -32459,7 +32745,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -33023,7 +33309,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -34873,7 +35159,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -36696,7 +36982,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -37075,7 +37361,7 @@ echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precede
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
     (
       cat <<\_ASBOX
 ## ----------------------------------------- ##
-## Report this to wx-dev@lists.wxwindows.org ##
+## Report this to wx-dev@lists.wxwidgets.org ##
 ## ----------------------------------------- ##
 _ASBOX
     ) |
 ## ----------------------------------------- ##
 _ASBOX
     ) |
@@ -37212,8 +37498,8 @@ fi
 
 if test "$wxUSE_IPC" = "yes"; then
     if test "$wxUSE_SOCKETS" != "yes"; then
 
 if test "$wxUSE_IPC" = "yes"; then
     if test "$wxUSE_SOCKETS" != "yes"; then
-        { echo "$as_me:$LINENO: WARNING: wxWindows IPC classes require sockets... disabled" >&5
-echo "$as_me: WARNING: wxWindows IPC classes require sockets... disabled" >&2;}
+        { echo "$as_me:$LINENO: WARNING: wxWidgets IPC classes require sockets... disabled" >&5
+echo "$as_me: WARNING: wxWidgets IPC classes require sockets... disabled" >&2;}
     fi
 
     cat >>confdefs.h <<\_ACEOF
     fi
 
     cat >>confdefs.h <<\_ACEOF
@@ -37725,6 +38011,9 @@ _ACEOF
 
     USE_HTML=1
     SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS html html/about html/help html/helpview html/printing html/test html/virtual html/widget html/zip htlbox"
 
     USE_HTML=1
     SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS html html/about html/help html/helpview html/printing html/test html/virtual html/widget html/zip htlbox"
+    if test "$wxUSE_MAC" = 1; then
+        SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS html/htmlctrl"
+    fi
 fi
 
 if test "$wxUSE_MENUS" = "yes"; then
 fi
 
 if test "$wxUSE_MENUS" = "yes"; then
@@ -38001,7 +38290,7 @@ fi
 
 
 if test "$wxUSE_MAC" = 1 ; then
 
 
 if test "$wxUSE_MAC" = 1 ; then
-    LDFLAGS="$LDFLAGS -framework Carbon -framework System"
+    LDFLAGS="$LDFLAGS -framework Carbon -framework Cocoa -framework WebKit -framework System"
 fi
 if test "$wxUSE_COCOA" = 1 ; then
     LDFLAGS="$LDFLAGS -framework Cocoa -framework System"
 fi
 if test "$wxUSE_COCOA" = 1 ; then
     LDFLAGS="$LDFLAGS -framework Cocoa -framework System"
@@ -41646,9 +41935,11 @@ else
             CPPFLAGS="-DNO_GCC_PRAGMA $CPPFLAGS"
             ;;
         *-*-mingw32* )
             CPPFLAGS="-DNO_GCC_PRAGMA $CPPFLAGS"
             ;;
         *-*-mingw32* )
-                                                            if test "$wxUSE_STL" = "yes"; then
-               echo "$as_me:$LINENO: checking If this MinGW version needs -DNO_GCC_PRAGMA" >&5
-echo $ECHO_N "checking If this MinGW version needs -DNO_GCC_PRAGMA... $ECHO_C" >&6
+                                                                                    if test "$wxUSE_STL" = "yes" -o \
+                    "$wxUSE_NO_EXCEPTIONS" != "yes" -o \
+                    "$wxUSE_NO_RTTI" != "yes"; then
+               echo "$as_me:$LINENO: checking if this MinGW version needs -DNO_GCC_PRAGMA" >&5
+echo $ECHO_N "checking if this MinGW version needs -DNO_GCC_PRAGMA... $ECHO_C" >&6
                cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
                cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -41659,7 +41950,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 int
 main ()
 {
 int
 main ()
 {
-#if !(__GNUC__ == 3 && __GNUC_MINOR__ >= 2)
+#if !(__GNUC__ > 3 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2))
                                #error "Not GCC 3.2 or greater"
                                #endif
 
                                #error "Not GCC 3.2 or greater"
                                #endif
 
@@ -42380,7 +42671,7 @@ _ASBOX
 } >&5
 cat >&5 <<_CSEOF
 
 } >&5
 cat >&5 <<_CSEOF
 
-This file was extended by wxWindows $as_me 2.5.1, which was
+This file was extended by wxWidgets $as_me 2.5.2, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -42443,7 +42734,7 @@ _ACEOF
 
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
 
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-wxWindows config.status 2.5.1
+wxWidgets config.status 2.5.2
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
 
 
 echo
 
 
 echo
-echo "Configured wxWindows ${WX_VERSION} for \`${host}'"
+echo "Configured wxWidgets ${WX_VERSION} for \`${host}'"
 echo ""
 echo ""
-echo "  Which GUI toolkit should wxWindows use?                 ${TOOLKIT_LOWERCASE:-base only}"
-echo "  Should wxWindows be compiled into single library?       ${wxUSE_MONOLITHIC:-yes}"
+echo "  Which GUI toolkit should wxWidgets use?                 ${TOOLKIT_LOWERCASE:-base only}"
+echo "  Should wxWidgets be compiled into single library?       ${wxUSE_MONOLITHIC:-yes}"
 
 
-echo "  Should wxWindows be compiled in debug mode?             ${wxUSE_DEBUG:-no}"
-echo "  Should wxWindows be linked as a shared library?         ${wxUSE_SHARED:-no}"
-echo "  Should wxWindows be compiled in Unicode mode?           ${wxUSE_UNICODE:-no}"
+echo "  Should wxWidgets be compiled in debug mode?             ${wxUSE_DEBUG:-no}"
+echo "  Should wxWidgets be linked as a shared library?         ${wxUSE_SHARED:-no}"
+echo "  Should wxWidgets be compiled in Unicode mode?           ${wxUSE_UNICODE:-no}"
 
 
-echo "  What level of wxWindows compatibility should be enabled?"
-echo "                                       wxWindows 2.2      ${WXWIN_COMPATIBILITY_2_2:-no}"
-echo "                                       wxWindows 2.4      ${WXWIN_COMPATIBILITY_2_4:-yes}"
+echo "  What level of wxWidgets compatibility should be enabled?"
+echo "                                       wxWidgets 2.2      ${WXWIN_COMPATIBILITY_2_2:-no}"
+echo "                                       wxWidgets 2.4      ${WXWIN_COMPATIBILITY_2_4:-yes}"
 
 
-echo "  Which libraries should wxWindows use?"
+echo "  Which libraries should wxWidgets use?"
 echo "                                       jpeg               ${wxUSE_LIBJPEG-none}"
 echo "                                       png                ${wxUSE_LIBPNG-none}"
 echo "                                       regex              ${wxUSE_REGEX}"
 echo "                                       jpeg               ${wxUSE_LIBJPEG-none}"
 echo "                                       png                ${wxUSE_LIBPNG-none}"
 echo "                                       regex              ${wxUSE_REGEX}"